Search found 656 matches

by ezzieyguywuf
Tue Dec 03, 2019 10:20 pm
Forum: Pull Requests
Topic: PR 2730, "Fix" line-endings
Replies: 42
Views: 4458

Re: PR 2730, "Fix" line-endings

PR 2752 has been fixed, it is rebased against the latest master. This is what we need to do for sure for Fem if line endings arch changed to unix-style. I've taken care of this, see this first commit . I'm only handling .h, .cpp, and .csv files, because those are the only files that were changed by...
by ezzieyguywuf
Tue Dec 03, 2019 9:48 pm
Forum: Pull Requests
Topic: PR 2730, "Fix" line-endings
Replies: 42
Views: 4458

Re: PR 2730, "Fix" line-endings

IMHO rewriting the history should not happen on a master branch of a open project like FreeCAD, never ever. +1 I agree with this. BTW the FreeCAD master is set to not accept force pushes. I did not know that. What I would accept is a commit which just changes the line endings of Fem. Sure for the r...
by ezzieyguywuf
Tue Dec 03, 2019 9:37 pm
Forum: Open discussion
Topic: Default angle units: radian? degree?
Replies: 8
Views: 426

Re: Default angle units: radian? degree?

adrianinsaval wrote:
Tue Dec 03, 2019 9:11 pm
Then I guess it should be controlled by the Unit System preference that's already there
Yes this is likely the most sensible solution.

In fact, probably the main change that needs to be made is to ensure that the ExpressionParser respects these preferences.
by ezzieyguywuf
Tue Dec 03, 2019 9:25 pm
Forum: Pull Requests
Topic: PR 2730, "Fix" line-endings
Replies: 42
Views: 4458

Re: PR 2730, "Fix" line-endings

PR2751 attempts to fix the line-endings in all FEM files while maintaining the existing git-history. What do I mean by this? In other words, let's say that src/Mod/Fem/App/FemConstraints.cpp currently has CRLF line-endings. I can easily fix the line endings: dos2unix src/Mod/Fem/App/FemConstraints....
by ezzieyguywuf
Tue Dec 03, 2019 8:21 pm
Forum: Python scripting and macros
Topic: How to get last time of modification of object?
Replies: 6
Views: 462

Re: How to get last time of modification of object?

I dont't want to check the time of the file, I want to check the time of the object in FreeCAD (e.g a cube). If this is the case, I don't think necessarily checking "time" is what you want here. For example, consider the following pseudocode: toMesh = getAllObjectsInCurrentDocument() myMeshInfo = {...
by ezzieyguywuf
Tue Dec 03, 2019 7:22 pm
Forum: Open discussion
Topic: Default angle units: radian? degree?
Replies: 8
Views: 426

Re: Default angle units: radian? degree?

What would happen if I make my model with radians as default and then send it to someone with degrees as default? Will FreeCAD add the apropiate unit internally so the model won't break? Great question! There are many ways that this could be addressed - off the top of my head, I would say we could ...
by ezzieyguywuf
Tue Dec 03, 2019 6:02 pm
Forum: Open discussion
Topic: Dedicated Spreadsheet Workbench Maintainer/Devs needed
Replies: 29
Views: 2232

Re: Dedicated Spreadsheet Workbench Maintainer/Devs needed

it seemed to me that the Spreadsheet workbench is essentially just an interface to the expression parser, Yes, I have come to the same conclusion after digging through these bugs and the code. I mean, what sort of functionality is provided by the Spreadsheet workbench itself? It's only a collection...
by ezzieyguywuf
Tue Dec 03, 2019 5:57 pm
Forum: Help on using FreeCAD
Topic: Bug: Crash in Python Console
Replies: 21
Views: 629

Re: Bug: Crash in Python Console

Well if you didn't install them, then you don't have any I seem to recall at some point in history mutzing about with the addon manager to some degree. If you open addon manager, you'll see a list of addons, and installed ones will have "(installed)" next to their names. I don't see any with "(inst...
by ezzieyguywuf
Tue Dec 03, 2019 5:56 pm
Forum: Open discussion
Topic: Default angle units: radian? degree?
Replies: 8
Views: 426

Re: Default angle units: radian? degree?

Hmm. Actually I think FC is primarily a CAD software and should stay one. Yes I agree with this. And IMO no one expect anything but seeing the angle values in degrees (eg. in Sketcher). I don't understand what you mean here - you're saying that user's do not expect a consistent interface? How can t...
by ezzieyguywuf
Tue Dec 03, 2019 5:51 pm
Forum: Open discussion
Topic: Should it be possible to have an Part Feature with empty shape?
Replies: 2
Views: 159

Re: Should it be possible to have an Part Feature with empty shape?

It simply is possible This is true. Consider: import Part doc = FreeCAD.newDocument() feat = doc.addObject("Part::Feature", "MyFeature") print(feat.Shape.isNull()) # returns true Should it be possible to have an Part Feature with empty shape? Personally, philosophically...I don't think it should be...